import request from '@/utils/request'

// 查询支部党费计算
export function calcDues(query) {
  return request({
    url: '/branch/dues/calc',
    method: 'get',
    params: query
  })
}

// 查询支部党费收支管理列表
export function listDues(query) {
  return request({
    url: '/branch/dues/list',
    method: 'get',
    params: query
  })
}

// 查询支部党费收支管理详细
export function getDues(duesId) {
  return request({
    url: '/branch/dues/' + duesId,
    method: 'get'
  })
}

// 新增支部党费收支管理
export function addDues(data) {
  return request({
    url: '/branch/dues',
    method: 'post',
    data: data
  })
}

// 修改支部党费收支管理
export function updateDues(data) {
  return request({
    url: '/branch/dues',
    method: 'put',
    data: data
  })
}

// 删除支部党费收支管理
export function delDues(duesId) {
  return request({
    url: '/branch/dues/' + duesId,
    method: 'delete'
  })
}
